package com.jy.system.dao;

import com.jy.framework.model.base.BaseDao;
import com.jy.system.mapper.SysRoleMenuMapper;
import com.jy.system.model.entity.SysRoleMenu;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

@Service
public class SysRoleMenuDao extends BaseDao<SysRoleMenuMapper, SysRoleMenu> {

    /**
     * 获取角色拥有的菜单id列表
     */
    public List<Long> getMenuIdListByRoleId(Long roleId) {
        return lambdaQuery().eq(SysRoleMenu::getRoleId, roleId).list()
                .stream().map(SysRoleMenu::getMenuId).toList();
    }

    /**
     * 根据角色id删除
     */
    public void removeByRoleId(Long roleId) {
        lambdaUpdate().eq(SysRoleMenu::getRoleId, roleId).remove();
    }

    /**
     * 根据角色id删除
     */
    public void removeByRoleId(Collection<Long> roleIds) {
        lambdaUpdate().in(SysRoleMenu::getRoleId, roleIds).remove();
    }

}
